Package org.apache.synapse.commons.throttle.core.impl.rolebase

## Class RoleBaseCallerConfiguration

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.CallerConfiguration
  - - org.apache.synapse.commons.throttle.core.impl.rolebase.RoleBaseCallerConfiguration

-     public class RoleBaseCallerConfiguration
      extends CallerConfiguration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RoleBaseCallerConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getID()` | To get ID
    `List` | `getRoles()` |
    `int` | `getType()` | To get the type of the throttle
    `void` | `setID​(String id)` | To set ID

    - ### Methods inherited from class org.apache.synapse.commons.throttle.core.CallerConfiguration

      `getAccessState, getMaximumRequestPerUnitTime, getProhibitTimePeriod, getUnitTime, setAccessState, setMaximumRequestPerUnitTime, setProhibitTimePeriod, setUnitTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleBaseCallerConfiguration

          public RoleBaseCallerConfiguration()

  - ### Method Detail

    - #### getID

          public String getID()

      Description copied from class: `CallerConfiguration`
      To get ID
      Specified by:
        `getID` in class `CallerConfiguration`
      Returns:
        String value of ID

    - #### setID

          public void setID​(String id)

      Description copied from class: `CallerConfiguration`
      To set ID
      Specified by:
        `setID` in class `CallerConfiguration`
      Parameters:
        `id` - The id of caller

    - #### getType

          public int getType()

      Description copied from class: `CallerConfiguration`
      To get the type of the throttle
      Specified by:
        `getType` in class `CallerConfiguration`
      Returns:
        the type of the throttle

    - #### getRoles

          public List getRoles()